#### D.15.20.4 SGB

Procedure from library `sagbigrob.lib` (see sagbigrob_lib).

Usage:
  SGB(I,A); I ideal of subalgebra A, A subalgebra (which is a finite sagbi basis).

Return:
  an ideal SB.

Example:

    LIB "sagbigrob.lib";
    // Example 1:
    ring r=ZZ,(x,y),Dp;
    ideal A=2x2+xy,2y2,3xy;
    ideal I=4x2y2+2xy3,18x2y4;
    SGB(I,A);
    ==> 18xy5
    ==> 0
    ==> 0
    ==> -2x2y6+8xy7
    ==> 0
    ==> 0
    ==> 0
    ==> _[1]=4x2y2+2xy3
    ==> _[2]=18x2y4
    ==> _[3]=18xy5
    ==> _[4]=-2x2y6+8xy7
    // Example 2:
    ring r2=QQ,(w,x,y,z),lp;
    ideal A=wxy+2z2, y2-4z, x+3y;
    ideal I= wxy-y2+2z2+4z, x+y2+3y-4z, x2+6xy+9y2;
    SGB(I,A);
    ==> 0
    ==> -y6+12y4z-48y2z2+64z3
    ==> 0
    ==> _[1]=wxy-y2+2z2+4z
    ==> _[2]=x+y2+3y-4z
    ==> _[3]=x2+6xy+9y2
    ==> _[4]=-y6+12y4z-48y2z2+64z3

User manual for Singular version 4.4.1, 2025, generated by texi2html.